package com.supervision.knowsub.controller.knowledge;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.supervision.knowsub.controller.service.KnowledgeManageService;
import com.supervision.knowsub.model.Knowledge;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@RestController
@Tag(name = "知识库查询")
@RequiredArgsConstructor
@RequestMapping("knowledge")
public class KnowledgeManageController {

    private final KnowledgeManageService knowledgeManageService;

    @Operation(summary = "查询知识库分页")
    @GetMapping("queryKnowledgePage")
    public IPage<Knowledge> queryKnowledgePage(Integer status, String title, String deptName, Integer pageNum, Integer pageSize) {
        return knowledgeManageService.queryKnowledgePage(status, title, deptName, pageNum, pageSize);
    }

    @Operation(summary = "新增知识库")
    @PostMapping("saveKnowledge")
    public void saveKnowledge() {

    }

    @Operation(summary = "修改知识库")
    @PostMapping("updateKnowledge")
    public void updateKnowledge() {

    }

    @Operation(summary = "召回知识库")
    @GetMapping("recallKnowledge")
    public void recallKnowledge() {

    }

    @Operation(summary = "查看知识的详细信息")
    @GetMapping("queryKnowledgeDetail")
    public void queryKnowledgeDetail(String knowledgeId) {

    }

    @Operation(summary = "删除知识库")
    @GetMapping("deleteKnowledge")
    public void deleteKnowledge() {

    }


}
